[@rxap/forms](../wiki/globals) / FormSubmitDirective

# Class: FormSubmitDirective

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:33](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L33)

## Extends

- `ConfirmClick`

## Implements

- `OnDestroy`

## Constructors

### new FormSubmitDirective()

> **new FormSubmitDirective**(`formDirective`, `router`): [`FormSubmitDirective`](../wiki/Class.FormSubmitDirective)

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:54](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L54)

#### Parameters

##### formDirective

[`FormDirective`](../wiki/Class.FormDirective)

##### router

`null` | `Router`

#### Returns

[`FormSubmitDirective`](../wiki/Class.FormSubmitDirective)

#### Overrides

`ConfirmClick.constructor`

## Properties

### afterSubmit

> **afterSubmit**: `EventEmitter`\<`any`\>

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:48](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L48)

***

### navigateAfterSubmit?

> `optional` **navigateAfterSubmit**: `string`[]

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:45](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L45)

***

### type

> **type**: `string` = `'button'`

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:37](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L37)

## Accessors

### hasConfirmDirective

#### Set Signature

> **set** **hasConfirmDirective**(`value`): `void`

Defined in: [packages/angular/directives/src/lib/confirm-click.ts:14](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/directives/src/lib/confirm-click.ts#L14)

##### Parameters

###### value

`any`

##### Returns

`void`

#### Inherited from

`ConfirmClick.hasConfirmDirective`

***

### resetAfterSubmit

#### Set Signature

> **set** **resetAfterSubmit**(`value`): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:40](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L40)

##### Parameters

###### value

`boolean` | `""`

##### Returns

`void`

## Methods

### execute()

> `protected` **execute**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:63](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L63)

#### Returns

`void`

#### Overrides

`ConfirmClick.execute`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/forms/src/lib/directives/form-submit.directive.ts:89](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/forms/src/lib/directives/form-submit.directive.ts#L89)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### onClick()

> **onClick**(): `void`

Defined in: [packages/angular/directives/src/lib/confirm-click.ts:19](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/directives/src/lib/confirm-click.ts#L19)

#### Returns

`void`

#### Inherited from

`ConfirmClick.onClick`

***

### onConfirm()

> **onConfirm**(): `void`

Defined in: [packages/angular/directives/src/lib/confirm-click.ts:26](https://gitlab.com/rxap/packages/-/blob/3eebed1be2bbb37bc0d65959f8fecbb850c0b8aa/packages/angular/directives/src/lib/confirm-click.ts#L26)

#### Returns

`void`

#### Inherited from

`ConfirmClick.onConfirm`
